package com.eitc.modules.activiti.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.activiti.dto.HistoryDetailDTO;
import com.eitc.modules.activiti.dto.ProcessActivityDTO;
import com.eitc.modules.activiti.entity.ProcessActivityEntity;

import java.util.List;
import java.util.Map;

/**
 * 流程自定义查询
 *
 * @author Jone
 */
public interface ActivitiService  extends BaseService<ProcessActivityEntity> {

    PageData<ProcessActivityDTO> getMyProcessInstancePage(Map<String, Object> params);

    List<HistoryDetailDTO> getTaskHandleDetailInfo(String processInstanceId);
}
