package com.eitc.modules.devtools.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.devtools.entity.DataSourceEntity;

import java.util.List;
import java.util.Map;

/**
 * 数据源管理
 *
 * @author Mark eitc@163.com
 */
public interface DataSourceService extends BaseService<DataSourceEntity> {

    PageData<DataSourceEntity> page(Map<String, Object> params);

    List<DataSourceEntity> list();
}