package com.eitc.modules.log.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.log.dto.SysLogOperationDTO;
import com.eitc.modules.log.entity.SysLogOperationEntity;

import java.util.List;
import java.util.Map;

/**
 * 操作日志
 *
 * @author Mark eitc@163.com
 * @since 1.0.0
 */
public interface SysLogOperationService extends BaseService<SysLogOperationEntity> {

    PageData<SysLogOperationDTO> page(Map<String, Object> params);

    List<SysLogOperationDTO> list(Map<String, Object> params);

    void save(SysLogOperationEntity entity);
}