package com.eitc.modules.security.user;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 登录用户信息
 *
 * @author Mark eitc@163.com
 */
@Data
public class UserDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private String username;
    private String realName;
    private String headUrl;
    private Integer gender;
    private String email;
    private String mobile;
    private Long deptId;
    private String password;
    private Integer status;
    private Integer superAdmin;
    private Integer superTenant;
    /**
     * 租户编码
     */
    private Long tenantCode;
    /**
     * 部门数据权限
     */
    private List<Long> deptIdList;

}