package com.eitc.modules.sys.dao;

import com.eitc.common.dao.BaseDao;
import com.eitc.modules.sys.entity.DictData;
import com.eitc.modules.sys.entity.SysDictDataEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 字典数据
 *
 * @author Mark eitc@163.com
 */
@Mapper
public interface SysDictDataDao extends BaseDao<SysDictDataEntity> {

    /**
     * 字典数据列表
     */
    List<DictData> getDictDataList();
}
