package com.eitc.modules.notice.service;

import com.eitc.common.page.PageData;
import com.eitc.common.service.CrudService;
import com.eitc.modules.notice.dto.SysNoticeDTO;
import com.eitc.modules.notice.entity.SysNoticeEntity;

import java.util.Map;

/**
 * 通知管理
 *
 * @author Mark eitc@163.com
 */
public interface SysNoticeService extends CrudService<SysNoticeEntity, SysNoticeDTO> {

    /**
     * 获取被通知的用户
     */
    PageData<SysNoticeDTO> getNoticeUserPage(Map<String, Object> params);

    /**
     * 获取我的通知列表
     */
    PageData<SysNoticeDTO> getMyNoticePage(Map<String, Object> params);
}