package com.eitc.modules.security.service;

import com.eitc.common.service.BaseService;
import com.eitc.common.utils.Result;
import com.eitc.modules.security.entity.SysUserTokenEntity;

/**
 * 用户Token
 *
 * @author Mark eitc@163.com
 */
public interface SysUserTokenService extends BaseService<SysUserTokenEntity> {

	/**
	 * 生成token
	 * @param userId  用户ID
	 */
	Result createToken(Long userId);

	/**
	 * 退出，修改token值
	 * @param userId  用户ID
	 */
	void logout(Long userId);

}