package com.eitc.modules.sys.dao;

import com.eitc.common.dao.BaseDao;
import com.eitc.modules.sys.entity.DictType;
import com.eitc.modules.sys.entity.SysDictTypeEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 字典类型
 *
 * @author Mark eitc@163.com
 */
@Mapper
public interface SysDictTypeDao extends BaseDao<SysDictTypeEntity> {

    /**
     * 字典类型列表
     */
    List<DictType> getDictTypeList();

}
